play.libs

## Class F.EventStream<T>

- java.lang.Object
- - play.libs.F.EventStream<T>

- Enclosing class:
    F

      public static class F.EventStream<T>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventStream()`
    `EventStream(int maxBufferSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `F.Promise<T>` | `nextEvent()`
    `void` | `publish(T event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStream

          public EventStream()

    - #### EventStream

          public EventStream(int maxBufferSize)

  - ### Method Detail

    - #### nextEvent

          public F.Promise<T> nextEvent()

    - #### publish

          public void publish(T event)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly